/*----------------------------------------------------------
* The code uses I2C lib from Wayne Truchsess
* https://github.com/rambo/I2C
* Hardware config:
* Arduino breakout: SCL = A5; SDA = A4; GND = GND; Vol_pot = A0
* PL-AD-160 board CONN_COM: SCL = pin 5; SDA = pin 4; GND = pin 3 
* Mute on = pin 1 <-> GND R = 6K8 
*/
#include <I2C.h>
#define Vol_pot A0
#define pl_ad 0x20 //I2C adress
void setup ()
{
 pinMode (Vol_pot, INPUT);
 //Serial.begin(9600);//Find I2C adress, Error
 I2c.begin();
 //I2c.scan();//Find I2C adress
 I2c.write(pl_ad,0x35,0b00001001); //(0-2)I2S-Standart, (3)audio_proc_enable
 //*PMP 0x1D(0-2)
 //I2c.write(pl_ad,0x1D,0b00000000); //PM0
 //I2c.write(pl_ad,0x1D,0b00000001); //PM1
 I2c.write(pl_ad,0x1D,0b00000010); //PM2
 //I2c.write(pl_ad,0x1D,0b00000011); //PM3
 //I2c.write(pl_ad,0x1D,0b00000100); //PM4
 //I2c.write(pl_ad,0x1D,0b00000101); //PM5 Custom profile
 //*Scheme 0x1E (0-5)
 //I2c.write(pl_ad,0x1E,0b00000000); //Scheme A
 I2c.write(pl_ad,0x1E,0b00010101); //Scheme B
 //I2c.write(pl_ad,0x1E,0b00101010); //Scheme D
 //I2c.write(pl_ad,0x1E,0b00111111); //Scheme C
 //*(7)Mute off; (0)i2s_sck_pol = 1
 I2c.write(pl_ad,0x36,0b00000001);
 } 
void loop ()
{
 int pot, pot_curr;
 pot = analogRead(Vol_pot);
 if (pot != pot_curr)
 {
 pot_curr = pot;
 I2c.write(pl_ad,0x40,pot >> 2); //volume 1 dB
 I2c.write(pl_ad,0x41,((pot << 6)& 0xff)  >> 6); //volume 0.25 dB
 }
 //I2c.read(pl_ad,0x7C,1);              //Error
 //Serial.println(I2c.receive(), BIN);  //Error
}
